Skip to main content
POST
/
api
/
v1
/
calendar
/
events
Create Event
curl --request POST \
  --url https://api.example.com/api/v1/calendar/events \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "start_at": "<string>",
  "end_at": "<string>",
  "all_day": true,
  "description": "<string>",
  "location": "<string>",
  "attendees": [
    {}
  ],
  "recurrence": {}
}
'

Create Calendar Event

Create a new event on the authenticated user’s calendar.

Authentication

Requires a valid user JWT token.

Request Body

title
string
required
Event title.
start_at
string
required
Start time in RFC 3339 format.
end_at
string
required
End time in RFC 3339 format.
all_day
boolean
required
Whether this is an all-day event.
description
string
Event description.
location
string
Event location.
attendees
array
Array of attendees with email and display_name.
recurrence
object
Recurrence rule with frequency ("daily", "weekly", "monthly", "yearly").

Example

curl -X POST https://api.ama2.me/api/v1/calendar/events \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Team standup",
    "start_at": "2026-04-10T09:00:00Z",
    "end_at": "2026-04-10T09:30:00Z",
    "all_day": false,
    "description": "Daily sync",
    "attendees": [
      {"email": "alice@example.com", "display_name": "Alice"}
    ]
  }'